# Gerenciador de arquivos de linguagem
por Bernardo Martins, Laira Almas

## Descricao

Esse pacote contem scripts em python que facilitam a visualizacao dos arquivos de internalizacao e traducao usados no iFractions. Permitem criar um csv a partir dos arquivos, criando um ponto centralizado de visualizacao e edicao e, depois, converter de volta para o formato inicial. São eles:

* **file_to_csv.py**: transfere o conteudo dos arquivos de linguagem para um csv de tal forma que a primeira coluna contem as chaves, e cada linha eh composta da chave, seguida de todas traducoes.

* **csv_to_file.py**: recebe o csv gerado anteriormente e devolve para os arquivos de linguagem - mais especificamente, cria novos arquivos de linguagem no diretorio atual para que possam ser copiados para o diretório desejado.

## Requisitos

Eh preciso ter um compilador Python instalado e a biblioteca Pandas. Tutorial de instalacao do Pandas no ubuntu 20.04 em https://bityli.com/XXUXF

## Usando este pacote

### Mandando os arquivos de linguagem para o csv com files_to_csv.py

	python3 files_to_csv.py

O arquivo **files_to_csv.py** cria um csv (**lang.csv**) no diretorio atual a partir dos arquivos de linguagem definidos no código.

A variavel **path** contem o caminho para a pasta onde os arquivos de linguagem estao e **arr_lang** contem o nome dos arquivos de linguagem.

Atualmente, ele esta configurado para lidar com os arquivos usados no iFractions, que seguem o seguinte formato:

* nao possuem extensao
* seguem o padrao **chave=traducao** 
* a quebra de linha indica fim da traducao

Ex:

Arquivo de linguagem 1: **en_US**

	game=game
	welc=welcome

Arquivo de linguagem 2: **pt_BR**

	game=jogo
	welc=bem vindo

Visualizacao possivel com o csv gerado:

|         | en_US   | pt_BR       |
| ------- | ------- | ----------- |
| game    | game    | jogo        |
| welc    | welcome | bem vindo   |

*Caso os arquivos de linguagem nao sigam essa formatacao, o codigo pode ser facilmente alterado.*

### Mandando o csv para os arquivos de linguagem com csv_to_files.py

	python3 csv_to_files.py

Apos alterar o csv como desejado, voce pode salvar essas alteracoes de volta nos arquivos de linguagem usando **csv_to_files.py**. Este arquivo reconstroi os arquivos de linguagem no diretorio atual, para que possam ser entao copiados para o diretorio desejado.