import pandas as pd

def file_to_matrix (path):
    matrix = []
    with open (path, "r") as myfile:
        data = myfile.readlines()
    for line in data:
        line = line.replace('\n','')    #retira o \n do fim da linha
        matrix.append(line.split('='))  #separa em chave-traducao
    return matrix

arr_lang = ['en_US', 'es_PE', 'fr_FR', 'it_IT', 'pt_BR'] #nome dos arquivos de linguagem

path = "../Ifractions-web/assets/lang/" #diretorio com os arquivos de linguagem

df = pd.DataFrame('', index = [], columns = arr_lang)

for lang in arr_lang:
    res = file_to_matrix(path+lang)
    for line in res:
        df.loc[line[0], lang] = line[1]

df.to_csv(r'lang.csv') #exporta para arquivo csv